using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an evil corpse" )]
	public class BlackKnight : BaseCreature
	{
		[Constructable]
		public BlackKnight () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "villians" );
			Clan = Clan.Humanoid;

			switch ( Utility.Random( 6 ) )
			{
				case 0: Title = "the dark knight";  break;
				case 1: Title = "the black knight";  break;
				case 2: Title = "the evil knight";  break;
				case 3: Title = "the vile champion";  break;
				case 4: Title = "the knight of evil";  break;
				case 5: Title = "the knight of darkness";  break;
			}

			Body = Utility.RandomList( 191, 199, 304 );

			if ( Body == 191 )
				AnimationMod = 4;

			BaseSoundID = 0x47D;

			SetStr( 767, 945 );
			SetDex( 66, 75 );
			SetInt( 46, 70 );

			SetHits( 476, 552 );

			SetDamage( 20, 25 );

			SetSkill( SkillName.MagicResist, 125.1, 140.0 );
			SetSkill( SkillName.Tactics, 90.1, 100.0 );
			SetSkill( SkillName.HandToHand, 90.1, 100.0 );

			Fame = 15000;
			Karma = -15000;

			VirtualArmor = 50;

			PackItem( new Longsword() );

			switch ( Utility.Random( 6 ) )
			{
				case 0: PackItem( new PlateGorget() );  break;
				case 1: PackItem( new PlateChest() ); break;
				case 2: PackItem( new PlateLegs() ); break;
				case 3: PackItem( new PlateArms() ); break;
				case 4: PackItem( new PlateGloves() ); break;
				case 5: PackItem( new NorseHelm() ); break;
			}
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.MedPotions, 2 );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 2; } }

		public BlackKnight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}